path = require("path")
gulp = require("gulp")
reloader = require("macreloader")

rename = require("gulp-rename")
browserify = require("gulp-browserify")

gulp.task "static", ->
	gulp.src(["./static/*", "./static/*/*"])
		.pipe(gulp.dest("./build"))

gulp.task "coffee", ->
	gulp.src("src/index.coffee", read:false)
		.pipe(browserify(
			transform: ["coffeeify"]
			extensions: [".coffee"]))
		.pipe(rename("#{path.basename(__dirname)}.js"))
		.pipe(gulp.dest("./build/"))

gulp.task "watch", ["coffee"], ->
	gulp.watch ["src/*.coffee"], ->
		gulp.run "coffee", ->
			# console.log "hello"
			reloader.reload("file://#{__dirname}/build/index.html")
	

gulp.task("default", ["static", "coffee"])