_ = require "lodash"
EventEmitter = require "eventemitter3"

utils =  require "./Utils.coffee"
bridge =  (require "./Bridge.coffee").bridge
bridge.debug = false

app = new EventEmitter()

app.bridge = bridge
app.state = {}
app.views = {}
app.config = {}

# Sizes
# base = 8

# app.config.sizes =
# 	base: base
# 	rowHeight: base * 4
# 	indent: base * 1.5
# 	indentWidth: 1
# 	indentHeight: base * 8

# Colors
app.config.colors = 
	background: "#151517"
	text: "rgb(98,98,107)"
	textHighlight: "#FFFFFF"
	textInvisible: "rgba(98,98,107,.4)"
	indent: "#262629"
	tableSelectionBackground: "#363940"

# Framer Defaults
Framer.Defaults.Layer =
	backgroundColor: ""

exports.app = app
